Take the 2-minute tour ×
SharePoint Stack Exchange is a question and answer site for SharePoint enthusiasts. It's 100% free, no registration required.

I am using MAC and LINUX, java6 and apache http-client 3.1 to connect to sharepoint with NTLM auth.

I connect to ntlm using http://jcifs.samba.org/ and it worked fine until I had to connect to NTLMv2. I tried this http://devsac.blogspot.com/2010/10/supoprt-for-ntlmv2-with-apache.html but it doesnt work for me with NTLMv2,

Is there any way to make my httpclient 3.1 connect to sharepoint NTLMv2 ? if not, is there a way to connect java to sharepoint NTLMv2 without httpclient?

btw, I make sure the sharepoint side is using NTLMv2 by checking the "require NTLMv2 session security" checkbox, according to http://www.websense.com/support/article/kbarticle/How-do-I-Check-NTLM-Version-for-XID-Compatibility

share|improve this question

1 Answer 1

You can try connecting to Sharepoint through Burp proxy (http://www.portswigger.net/burp/proxy.html) which enables you to use NTLM v1/v2 authentication.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.